libvorbisfile3_1.3.5-3_i386.deb


Advertisement

Description

libvorbisfile3 - high-level API for Vorbis General Audio Compression Codec

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main i386
Package filename libvorbisfile3_1.3.5-3_i386.deb
Package name libvorbisfile3
Package version 1.3.5
Package release 3
Package architecture i386
Package type deb
Category libs
Homepage http://www.xiph.org/vorbis/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 18.51 KB
Installed size 62.00 KB
Ogg Vorbis is a fully open, non-proprietary, patent-and-royalty-free,
general-purpose compressed audio format for audio and music at fixed
and variable bitrates from 16 to 128 kbps/channel.
The Vorbisfile library provides a convenient high-level API for decoding
and basic manipulation of all Vorbis I audio streams.

Alternatives

Package Version Architecture Repository
libvorbisfile3_1.3.5-3ubuntu0.2_i386.deb 1.3.5 i386 Ubuntu Updates Main
libvorbisfile3_1.3.5-3ubuntu0.2_amd64.deb 1.3.5 amd64 Ubuntu Updates Main
libvorbisfile3_1.3.5-3_amd64.deb 1.3.5 amd64 Ubuntu Main
libvorbisfile3 - - -

Requires

Name Value
libc6 >= 2.4
libogg0 >= 1.1.0
libvorbis0a = 1.3.5-3

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libvorbisfile3_1.3.5-3_i386.deb
Source Package libvorbis

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libvorbisfile3 deb package:
    # sudo apt-get install libvorbisfile3

Files

Path
/usr/lib/i386-linux-gnu/libvorbisfile.so.3
/usr/lib/i386-linux-gnu/libvorbisfile.so.3.3.7
/usr/share/doc/libvorbisfile3/changelog.Debian.gz
/usr/share/doc/libvorbisfile3/copyright

Changelog

2016-02-11 - Petter Reinholdtsen <pere@debian.org>
libvorbis (1.3.5-3) unstable; urgency=medium
* Replace Peter Samuelson with Ralph Giles as uploader.  Thank you
Peter for all past work.
* Fix autopkgtest script by redirecting stderr to log file.
* Add new autopkgtest script test-coupling-segfault to detect if
bug #772877 is present.
2016-02-07 - Petter Reinholdtsen <pere@debian.org>
libvorbis (1.3.5-2) unstable; urgency=medium
* Add build-essential to the list of autopkgtest dependencies to get gcc.
2016-02-06 - Petter Reinholdtsen <pere@debian.org>
libvorbis (1.3.5-1) unstable; urgency=low
[ Martin Steghöfer ]
* New upstream version 1.3.5. (Closes: #798960)
[ Petter Reinholdtsen ]
* Added simple autopkgtest script running the examples.
2015-09-22 - Petter Reinholdtsen <pere@debian.org>
libvorbis (1.3.4-3) unstable; urgency=low
[ Martin Steghöfer ]
* Fix crash on corrupt input file (invalid mode index). (Closes: #774516)
* Take into account error codes returned from
"vorbis_packet_blocksize" in "_initial_pcmoffset" (follow-up
problem related to #774516).  Thanks to Timothy B. Terriberry
* Fix segmentation fault on two subsequent seeks to 0. (Closes: #782831)
[ Petter Reinholdtsen ]
* Add debian/gbp.conf to enforce the user of pristine-tar.
2014-11-03 - Petter Reinholdtsen <pere@debian.org>
libvorbis (1.3.4-2) unstable; urgency=low
[ Martin Steghöfer ]
* Add sampling rate sanity check to avoid invalid memory access.
(Closes: #716613)
2014-10-24 - Petter Reinholdtsen <pere@debian.org>
libvorbis (1.3.4-1) unstable; urgency=medium
[ Martin Steghöfer ]
* New upstream version 1.3.4. (Closes: #739722)
* Rebased patches and dropped cve-2012-0444 patch that is included
in new upstream.
* Removed lintian override for tag
"using-first-person-in-description". Lintian has improved and
doesn't report this false positive any longer.
* Upgrade Standards-Version to 3.9.6. No changes necessary.
* Clean-up: Removed references to the old libvorbis0 package, it
hasn't been in any release for ages.
2014-10-24 - Petter Reinholdtsen <pere@debian.org>
libvorbis (1.3.2-2) unstable; urgency=medium
[ Martin Steghöfer ]
* Format patches for gbp-pq.
* Updated VCS meta information to list git repository.
[ Petter Reinholdtsen ]
* Drop John Francesco Ferlito and add me and Martin Steghöfer as
uploaders.
* Updated standards-version from 3.9.1 to 3.9.6.
[ Martin Steghöfer ]
* Fix lintian warning
"description-synopsis-starts-with-article". Make sure the synopsis
of the package description meets the formula "The package [name]
provides {a,an,the,some} [synopsis]."
* Override lintian tag "license-problem-non-free-RFC-BCP78" for RFC
5215 - it has a dual license.
* Fix lintian warning "wrong-name-for-upstream-changelog" by using
"dh_installchangelogs" instead of "dh_installdocs" for the
upstream changelog.
2014-10-14 - Petter Reinholdtsen <pere@debian.org>
libvorbis (1.3.2-1.5) unstable; urgency=low
* Non-maintainer upload to fix crash and hang bug.
* Switch to debian source format 3.0 (quilt).
* Add Homepage link in debian/control.
* Avoid floating point exception when dividing by zero when
bytespersample is zero (Closes: #635906).  Patch from Daniel Exner.
* Fix hang with loading Ogg Theora files when seeking to PCM 0 by
backporting r19159 of upstream SVN, authored by Chris Montgomery
(Closes: #762571).  Patch from Martin Steghöfer.
2014-05-21 - Manuel A. Fernandez Montecelo <mafm@debian.org>
libvorbis (1.3.2-1.4) unstable; urgency=low
* Non-maintainer upload.
* Build-Depends on dh-autoreconf and use it in rules for
config.{guess,sub} (Closes: #744722)
2012-05-07 - Riku Voipio <riku.voipio@linaro.org>
libvorbis (1.3.2-1.3) unstable; urgency=low
* Non-maintainer upload to fix release goals
* Convert to Multi-Arch, closes: #637578 (Thanks, Steve Langasek)
* Remove .la file dependencies, closes: #633339

See Also

Package Description
libvotequorum-dev_2.3.5-3ubuntu1_i386.deb cluster engine Votequorum library development
libvotequorum7_2.3.5-3ubuntu1_i386.deb cluster engine Votequorum library
libvpx-dev_1.5.0-2ubuntu1_i386.deb VP8 and VP9 video codec (development files)
libvpx-doc_1.5.0-2ubuntu1_all.deb VP8 and VP9 video codec (API documentation)
libvpx3_1.5.0-2ubuntu1_i386.deb VP8 and VP9 video codec (shared library)
libvte-2.91-0_0.42.5-1ubuntu1_i386.deb Terminal emulator widget for GTK+ 3.0 - runtime files
libvte-2.91-common_0.42.5-1ubuntu1_all.deb Terminal emulator widget for GTK+ 3.0 - common files
libvte-2.91-dev_0.42.5-1ubuntu1_i386.deb Terminal emulator widget for GTK+ 3.0 - development files
libvte-2.91-doc_0.42.5-1ubuntu1_all.deb Terminal emulator widget for GTK+ 3.0 - documentation
libwacom-bin_0.18-1_i386.deb Wacom model feature query library -- binaries
libwacom-common_0.18-1_all.deb Wacom model feature query library (common files)
libwacom-dev_0.18-1_i386.deb Wacom model feature query library (development files)
libwacom2_0.18-1_i386.deb Wacom model feature query library
libwavpack-dev_4.75.2-2_i386.deb audio codec (lossy and lossless) - development files
libwavpack1_4.75.2-2_i386.deb audio codec (lossy and lossless) - library
Advertisement
Advertisement